PDA

View Full Version : [4.2.*] Ext.Loader enabled default has changed without notice and the docs are wrong



plleeuwm
17 Jan 2014, 10:42 AM
REQUIRED INFORMATION
Ext version tested:

Ext 4.2.*
The enabled config which handled if Ext.Loader makes a script request or not has been changed from false to true in 4.2.*. This was changed without mention the migration guide and the docs still say that it is false. This change causes our application to show odd browser specific script loading errors instead of the normal "X class is not defined" error which always used to show.

In 4.0.* and 4.1.* :


Ext.Loader.config.enabled
>false


In 4.2.*:


Ext.Loader.config.enabled
>true

Gary Schlosberg
17 Jan 2014, 2:27 PM
Have a look at this thread:
http://www.sencha.com/forum/showthread.php?269215

plleeuwm
20 Jan 2014, 6:55 AM
Thanks for the info Gary.